package com.kingdee.eas.custom.integration.feishu.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuBizFacadeFactory
{
    private FeishuBizFacadeFactory()
    {
    }
    public static IFeishuBizFacade getRemoteInstance() throws BOSException
    {
        return (IFeishuBizFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("04260294") , IFeishuBizFacade.class);
    }
    
    public static IFeishuBizFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuBizFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("04260294") , IFeishuBizFacade.class, objectCtx);
    }
    public static IFeishuBizFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuBizFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("04260294"));
    }
    public static IFeishuBizFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuBizFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("04260294"));
    }
}